### Method

# Gtk.TreeModel.iter_previous

#### Declaration [src]

    gboolean
    gtk_tree_model_iter_previous (
      GtkTreeModel* tree_model,
      GtkTreeIter* iter
    )

#### Description [src]

Sets `iter` to point to the previous node at the current level.

If there is no previous `iter`, `FALSE` is returned and `iter` is set to be invalid.

#### Parameters

`iter` | `GtkTreeIter`
| the `GtkTreeIter`-struct
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if `iter` has been changed to the previous node